Bug 826817 - listing FCoE targets in targetcli fails
Summary: listing FCoE targets in targetcli fails
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: targetcli   
(Show other bugs)
Version: 17
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Grover
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 818869
TreeView+ depends on / blocked
 
Reported: 2012-05-31 04:00 UTC by Andy Grover
Modified: 2012-06-10 01:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-10 01:34:49 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andy Grover 2012-05-31 04:00:31 UTC
From Steve Condas <scondas@yahoo.com>

2)  My targetcli program is throwing an error when I exit or when I do an "ls" from "/".  The error is that it can't find auth/userid (I assume CHAP authentication from looking at the code) for the ACL.  Is this more likely a problem in the kernel namespace or a problem with targetcli?

Comment 1 Fedora Update System 2012-05-31 04:03:17 UTC
python-rtslib-2.1.fb14-1.fc17,targetcli-2.0rc1.fb12-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-rtslib-2.1.fb14-1.fc17,targetcli-2.0rc1.fb12-1.fc17

Comment 2 Fedora Update System 2012-06-01 16:54:18 UTC
Package python-rtslib-2.1.fb14-1.fc17, targetcli-2.0rc1.fb12-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-rtslib-2.1.fb14-1.fc17 targetcli-2.0rc1.fb12-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8682/python-rtslib-2.1.fb14-1.fc17,targetcli-2.0rc1.fb12-1.fc17
then log in and leave karma (feedback).

Comment 3 Mark Rustad 2012-06-01 20:27:42 UTC
These packages resolved the issue I was seeing in using targetcli to configure an FCoE target on Fedora 17.

Comment 4 Fedora Update System 2012-06-10 01:34:49 UTC
python-rtslib-2.1.fb14-1.fc17, targetcli-2.0rc1.fb12-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.